# Uses of Class
net.sourceforge.jiu.filters.ConvolutionKernelData

Packages that use ConvolutionKernelData
Package
Description
net.sourceforge.jiu.filters

## Uses of ConvolutionKernelData in net.sourceforge.jiu.filters

Subclasses of ConvolutionKernelData in net.sourceforge.jiu.filters
Modifier and Type
Class
Description
`class`
`UnsharpMaskKernel`
An unsharp mask kernel to be used with `ConvolutionKernelFilter`.
Fields in net.sourceforge.jiu.filters declared as ConvolutionKernelData
Modifier and Type
Field
Description
`private static ConvolutionKernelData[]`
ConvolutionKernelFilter.`PREDEFINED_KERNELS`
Methods in net.sourceforge.jiu.filters with parameters of type ConvolutionKernelData
Modifier and Type
Method
Description
`static PixelImage`
ConvolutionKernelFilter.`filter(PixelImage input, ConvolutionKernelData data)`
`void`
ConvolutionKernelFilter.`setKernel(ConvolutionKernelData ckd)`
Sets kernel data to be used for filtering.